apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-remote-node-to-webhook
  namespace: prometheus
spec:
  description: Allow Remote Web Hook
  endpointSelector:
    matchLabels:
      app: kube-prometheus-stack-operator
  ingress:
    - fromEntities:
        - remote-node
